<html>
	<head>
		<title> Bearbeiten eines Customers </title>
		<meta name="author" content="Administrator"/>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<link rel="stylesheet" type="text/css"  href="AufgabeEdit.css" title="style1"/>
	</head>

	<script type="text/javascript">
		// <![CDATA[
		"use strict";

		function  java_yes( form ) {
			"use strict";
			// wir sind im Browser und rufen eine Seite
			// auf dem Server auf (zum Update des Customers)

			let cnr = parseInt(form.cnr.value);
			if ( isNaN(cnr) ) {
				alert('Die cnr-Eingabe ist fehlerhaft');
				return;
			} // if isNaN

			let objs = JSON.parse(form.hiddencnrs.value);
			let s='';
			let gefunden=false;
			for (let i in objs) {
				let obj = objs[i];
				for(var j in obj){
					s+=obj[j] + '\n';
					if (cnr==parseInt(obj[j])) {
						alert('Die cnr-Eingabe '+cnr+' ist schon vorhanden');
						return;
					}
				}
			}

			form.action = 'updateEdit.php';
			// Die Parameter werden automatisch übertragen ($_GET)
			form.submit();

		}  // function java_yes

		function  java_no( form ) {
			"use strict";
			// Abbruch
			form.action = 'BspAmacon.php';
			//form.submit();
		}  // function java_no


		//   AJAX-VERSION

		let xmlhttp = new XMLHttpRequest();
		xmlhttp.onreadystatechange = readajax;


		function  java_yesAjax( form ) {
			"use strict";
			// wir sind im Browser und rufen eine Seite
			// auf dem Server auf (zum Update des Customers)

			let cnr = parseInt(form.cnr.value);
			if ( isNaN(cnr) ) {
				alert('Die cnr-Eingabe ist fehlerhaft');
				return;
			} // if isNaN

			let param = 'updateEditAjax.php?pindex='+form.pindex.value+'&cnr=' + cnr + '&lastname='+form.lastname.value +
			'&firstname='+form.firstname.value + '&street='+form.street.value + '&birthday='+form.birthday.value;
			alert(param);
			xmlhttp.open("GET", param);
			xmlhttp.send();
		}  // function java_yes2


		function readajax() {
			"use strict";
			// alert(xmlhttp.readyState);
			if (xmlhttp.readyState == 4) {
				if (xmlhttp.responseText=='ok') {
					elementAjax.style.display = "none";
					window.location = 'BspAmacon.php';
				}
				else {
					let elementAjax = document.getElementById("ajaxerror");
					alert(xmlhttp.responseText);
					elementAjax.style.display = "block";
					elementAjax.innerHTML = xmlhttp.responseText;
				}
			}  // if
		}  //readajax


		// ]]>
	</script>


<body>
	<h1>Edit an address</h1>
	<form method="get"  >

<?php
	include("customer.php");
	include("CustomerDB.php");
	$ok=true;
	if ( isset($_GET['pindex']) ){
		$str_pindex = $_GET['pindex'];
		if (is_numeric($str_pindex) ) {
			$pindex= intval($str_pindex);
		}
		else {
			$ok=false;
		}  // if (is_numeric($str_pindex) ) {
	}
	else {
		$ok=false;
	}  // if ( isset($_GET['pindex']) ){

	if ($ok) {
		// echo $pindex;
		$customer = loadCustomerFromDB($pindex);
		$cnrs = loadCnrCustomersFromDB($customer->pindex);
		//echo count($cnrs) . '<br />';
		$hiddencnrs = json_encode($cnrs );
	?>

<textarea name="hiddencnrs" rows="10" cols="50" style="display:none;" ><?php echo $hiddencnrs; ?></textarea>
	<fieldset>
	<legend>Inputs for an address</legend>
	<div id="flexContainer1">

	<div id="flexContainer2">
	<label class="fbox1" for="customno">Customno</label><br />
	<label  class="fbox1" for="lastnameId">Lastname</label><br />
	<label  class="fbox1" for="firstnameId">Firstname</label><br />
	<label class="fbox1" for="streetId">Street</label><br />
	<label  class="fbox1" for="birthdayId">Birthday</label><br />
	<label  class="fbox1" for="pindexId">Pindex</label><br />
	</div>
	<div id="flexContainer2">
	<input class="fbox2" type="number"
	min="1" max="99999"  name="cnr"
	id="kundennrId" title="Customnumber, min. 1, max. 99999"
value="<?php echo $customer->cnr ?>"



autofocus="true" required="required" />

<input  class="fbox2" type="text" name="lastname"  id="nachnameId"   title="Input of the lastname (1 Uppercase, max. 29 lowercase)" value="<?php echo $customer->lastname ?>"  class="dialogwidth"





	maxlength="30" autocomplete="on"
	autofocus="true" required="required"  list="myNachnamen"
pattern="^[A-ZÜÄÖ][a-züäöß]{1,29}$"








/>

<input class="fbox2" type="text" name="firstname"  id="vornameId"
title="Input of the firstname (1 Uppercase, max. 29 lowercase)"
value="<?php echo $customer->firstname ?>"  maxlength="30" autocomplete="on"
autofocus="true" required="required"
pattern="^[A-ZÜÄÖ][a-züäöß]{1,29}([ -]^[A-ZÜÄÖ][a-züäöß]{1,29}){0,1}$" />






<input class="fbox2" type="text" name="street"  id="streetId"
title="Input of the street"
value="<?php echo $customer->street ?>"     maxlength="30" autocomplete="on"
	autofocus="true" required="required"
pattern="^[A-ZÜÄÖ][a-züäöß]{1,29}([ ][A-ZÜÄÖ][a-züäöß]{1,29}){0,2}[ ][1-9][0-9]{0,3}([a-z]){0,1}$"








/>

<input class="fbox2" type="text" name="birthday"  id="birthdayId"
title="Input of the birthday"
value="<?php echo $customer->birthday ?>"  maxlength="10" autocomplete="on"
autofocus="true" required="required"
pattern="^[1-2][0-9]{3}[-]([0][1-9]|[1][0-2])[-]([0][1-9]|[1-2][0-9]|[3][0-1])$" />






<input class="fbox2" type="text" name="pindex"  id="pindexId"
title="Pindex" readonly="readonly"
value="<?php echo $customer->pindex ?>"  maxlength="10" autocomplete="on"
	autofocus="true" required="required"
	/>
	</div>

	</div>
	</fieldset>

	<br />
	<input type="button" value="Yes" onclick="java_yes(this.form)" />
	<input type="button" value="Yes (Ajax)" onclick="java_yesAjax(this.form)" />
	<input type="button" value="No" onclick="java_no(this.form)" />
	<input type="reset" value="Reset"   />
	</form>
	<br />
	<br />
	<div id="ajaxerror"></div>

	<?php
}



else {
	echo '<h2>Wrong Parameter in variable pindex</h2>';
}





?>
</body>

</html>


