<?php


	function quoted($item) {
		return "'" . $item . '\'';
	}

	function getConnection() {
		$servername='localhost';
		$username='root';
		$passwd='';
		$database='amacon';
		$conn = new mysqli($servername, $username, $passwd, $database);
		if ($conn->connect_error)  {
			die('Connection failded: ' . $conn->connect_error);
		}
		return $conn;
	}

	function loadCustomersFromDB() {
		$arr = array();
		$conn = getConnection();
		if ($conn->connect_error)  {
			return $arr;
		}
		$sql = 'SELECT PINDEX, CNR, LASTNAME, FIRSTNAME, STREET, BIRTHDAY '
		. ' FROM customer';
		$result = $conn->query($sql);
		if ($result) {
			while($row=$result->fetch_array()) {
				$customer = new Customer();
				$customer->pindex=intval($row['PINDEX']);
				$customer->cnr=intval($row['CNR']);
				$customer->lastname=$row['LASTNAME'];
				$customer->firstname=$row['FIRSTNAME'];
				$customer->street=$row['STREET'];
				$customer->birthday=$row['BIRTHDAY'];
				$arr[] = $customer;
			}
		}
		return $arr;
	}  // loadCustomersFromDB

	function loadCnrCustomersFromDB($pindex) {
		$arr = array();
		$conn = getConnection();
		if ($conn->connect_error)  {
			return $arr;
		}
		$sql = 'SELECT CNR FROM customer  WHERE pindex!= ' . $pindex;
		$result = $conn->query($sql);
		if ($result) {
			while($row=$result->fetch_array()) {
				$customercnr = new CustomerCnr ();
				$customercnr->cnr=intval($row['CNR']);
				//echo $row['CNR'] . '<br />';
				$arr[] = $customercnr;
			}
		}
		return $arr;
	}  // loadCustomersFromDB




	function loadCustomerFromDB($pindex) {
		$customer = new Customer();

		$conn = getConnection();
		if ($conn->connect_error)  {
			return $customer;
		}
		$sql = 'SELECT PINDEX, CNR, LASTNAME, FIRSTNAME, STREET, BIRTHDAY '
		. ' FROM customer WHERE pindex=' . $pindex;
		$result = $conn->query($sql);
		if ($result) {
			while($row=$result->fetch_array()) {
				$customer->pindex=intval($row['PINDEX']);
				$customer->cnr=intval($row['CNR']);
				$customer->lastname=$row['LASTNAME'];
				$customer->firstname=$row['FIRSTNAME'];
				$customer->street=$row['STREET'];
				$customer->birthday=$row['BIRTHDAY'];
			}
		}

		return $customer;
	}  // loadCustomersFromDB



	function  updateCustomerDB($customer) {
		$conn = getConnection();
		if ($conn->connect_error)  {
			return $arr;
		}
		$sql = 'UPDATE customer ' .
		' SET '.
		' CNR=' . $customer->cnr. ', ' .
		' LASTNAME=' . quoted($customer->lastname) . ', ' .
		' FIRSTNAME=' . quoted($customer->firstname) . ', ' .
		' STREET=' . quoted($customer->street) . ', ' .
		' BIRTHDAY=' . quoted($customer->birthday) .
		" WHERE PINDEX=$customer->pindex ";
		echo $sql;

		$result = $conn->query($sql);
		if ($result) {
			echo "ok";
		}
		else {
			echo $conn->error;  // 'fehler ' . $result;
		}
	}  // updateCustomerDB


	function deleteCustomerDB($pindex) {
		$conn = getConnection();
		if ($conn->connect_error)  {
			return 'connect-Error';
		}

		//echo $sql . '<br />';
		if ($conn->query($sql))  {
			return 'ok';
		}
		else {
			return $conn->error;  // 'fehler ' . $result;
		}
	} // deleteCustomerDB




	function getDBSequence() {
		$conn = getConnection();
		if ($conn->connect_error)  {
			return 0;
		}
		$sql = 'UPDATE sequence SET id=LAST_INSERT_ID(id+1);';
		$result = $conn->query($sql);
		if ( $result ){
			$sql ='SELECT * FROM `sequence` '; // SELECT LAST_INSERT_ID()';
			$result = $conn->query($sql);
			if ( $result ){
				while ( $row = $result->fetch_array() ) {
					$sequence = intval($row[0]) ;
				} // while
			}  // if
		}
		else {
			// die('SQL-Anweisung gescheitert');
			$sequence = 0;
		}
		return $sequence;
	}


	function insertCustomerDB($customer) {

		$customers = loadCustomersFromDB();
		foreach ($customers as $customerloop) {
			if ($customerloop->cnr==$customer->cnr) {
				echo 'Fehler:  die cnr ist schon vorhanden';
				return false;
			}
		}

		$sql = 'INSERT INTO customer(PINDEX, CNR, LASTNAME, FIRSTNAME, STREET,  BIRTHDAY)' .
		' VALUES(  ' .
		' ' . $customer->pindex . ', ' .
		' ' . $customer->cnr . ', ' .
		' ' . quoted($customer->lastname) . ', ' .
		' ' . quoted($customer->firstname) . ', ' .
		' ' . quoted($customer->street) . ', ' .
		' ' . quoted($customer->birthday) .
		' )';

		$conn = getConnection();
		if ($conn->connect_error)  {
			return $conn->error;  // 'fehler ' . $result;
		}

		//echo $sql . '<br />';
		if ($conn->query($sql))  {
			return 'ok';
		}
		else {
			return $conn->error;  // 'fehler ' . $result;
		}
	} // insertCustomerDB

?>